For the complete documentation index, see llms.txt. This page is also available as Markdown.

getVoteAccounts

getVoteAccounts — Vote accounts

post
/

Returns the account info and associated stake for all the voting accounts in the current bank. Parameters

  1. config (optional) — Optional configuration object. Every field is optional; omit the entire object to use defaults.

Authorizations
AuthorizationstringOptional

Pass Authorization: <api-key> on each request.

Body
jsonrpcstring · enumRequired

JSON-RPC protocol version.

Example: 2.0Possible values:
idone ofRequired

Request identifier echoed back in the response.

Example: 1
stringOptional
or
integerOptional
methodstring · enumRequired

Must be getVoteAccounts.

Example: getVoteAccountsPossible values:
Responses
200

Successful getVoteAccounts response.

application/json

Base envelope of every JSON-RPC 2.0 response.

jsonrpcstring · enumRequiredExample: 2.0Possible values:
idone ofRequired

Echoed request id.

Example: 1
stringOptional
or
integerOptional
post/
curl -X POST https://public.rpc.solanavibestation.com \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "getVoteAccounts",
    "params": [
      {
        "commitment": "finalized"
      }
    ]
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "current": [
      {
        "votePubkey": "FbXMxhgoCYbZ4dWaCVzJWeFqW2tQ8sR82Hi8YyQrEaxR",
        "nodePubkey": "FbXMxhgoCYbZ4dWaCVzJWeFqW2tQ8sR82Hi8YyQrEaxR",
        "activatedStake": 99999999999,
        "epochVoteAccount": true,
        "commission": 5,
        "lastVote": 349392648,
        "rootSlot": 349392600
      }
    ],
    "delinquent": []
  }
}

Last updated